Bug 856615 - RFE: Make the API more consistent
RFE: Make the API more consistent
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hawkey (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 08:37 EDT by Martin Gracik
Modified: 2014-09-30 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: hawkey-0.2.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:29:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gracik 2012-09-12 08:37:31 EDT
The hawkey.Goal methods run() and run_all() could be more consistent.

As of now, the run() method returns True/False depending of the success of the execution, but run_all() does not return anything.

Also run_all() requires a callback method as a parameter, but run() does not support it at all.
Comment 1 Ales Kozumplik 2012-09-13 09:50:38 EDT
Master commits a316f60 and 53cf31c should remedy the situation.
Comment 2 Fedora Update System 2012-09-21 08:55:41 EDT
hawkey-0.2.11-3.git0245875.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hawkey-0.2.11-3.git0245875.fc18
Comment 3 Fedora Update System 2012-09-22 02:33:54 EDT
Package hawkey-0.2.11-3.git0245875.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.2.11-3.git0245875.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14575/hawkey-0.2.11-3.git0245875.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-24 03:36:54 EDT
hawkey-0.2.11-4.git687ceab.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hawkey-0.2.11-4.git687ceab.fc18
Comment 5 Fedora Update System 2012-12-20 10:30:03 EST
hawkey-0.2.11-3.git0245875.fc18 has been pushed to the Fedora 18 obsolete repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.